com.google.gwt.logging.client

## Class RemoteLogHandlerBase

- java.lang.Object
- - java.util.logging.Handler
  - - com.google.gwt.logging.client.RemoteLogHandlerBase

- Direct Known Subclasses:
    RequestFactoryLogHandler, SimpleRemoteLogHandler

      public abstract class RemoteLogHandlerBase
      extends java.util.logging.Handler

  Base class for Logging handlers that send records to the server.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `WIRE_LOGGER_NAME`
    `protected static java.util.logging.Logger` | `wireLogger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RemoteLogHandlerBase()`
    `protected` | `RemoteLogHandlerBase(java.util.List<java.lang.String> excludedLoggerNames)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `boolean` | `isLoggable(java.util.logging.LogRecord record)`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, publish, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WIRE_LOGGER_NAME

          protected static final java.lang.String WIRE_LOGGER_NAME

      See Also:
        Constant Field Values

    - #### wireLogger

          protected static java.util.logging.Logger wireLogger

  - ### Constructor Detail

    - #### RemoteLogHandlerBase

          protected RemoteLogHandlerBase()

    - #### RemoteLogHandlerBase

          protected RemoteLogHandlerBase(java.util.List<java.lang.String> excludedLoggerNames)

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in class `java.util.logging.Handler`

    - #### flush

          public void flush()

      Specified by:
        `flush` in class `java.util.logging.Handler`

    - #### isLoggable

          public boolean isLoggable(java.util.logging.LogRecord record)

      Overrides:
        `isLoggable` in class `java.util.logging.Handler`